diff --git a/app/schemas/exim/products.functions.php b/app/schemas/exim/products.functions.php
index 258edab0125..0a6785400fa 100644
--- a/app/schemas/exim/products.functions.php
+++ b/app/schemas/exim/products.functions.php
@@ -1609,7 +1609,10 @@ function fn_import_product_descr(array $data, $product_id, $field, $is_new = fal
     }
 
     foreach ($data as $lang_code => $_data) {
-        if (in_array($field, ['full_description', 'short_description'])) {
+        if (
+            in_array($field, ['full_description', 'short_description'])
+            && $_data === strip_tags($_data)
+        ) {
             $_data = nl2br($_data); // In HTML represented data, replace newline with the line break HTML tag
         }
         if (!isset($object['is_shared_product'])) {
